#Riddle 3
from eventAPI import *
from APIUtils import *
from SDLKeys import *

def fireEvent(e):
    if (getTag(e, "DKR") >= 3):
        return 1
    else:
        return next(e)

def next(e):
    showPicture(e, "bw_magicmouthred2")  
    answer = stringInput(e, ["A magic mouth on the wall speaks to you, saying this:", "", "\"This is as light as a feather, yet no man can hold it for long. What is it?\""])
    if(answer.lower() == "breath"):
        showMessage(e, ["You are now one step closer to the exit."])
        setTag(e, "DKR", 3)
        return 1
    else:
        showMessage(e, ["Wrong. You are not ready to pass."])
        return 0
